org.keycloak.services.managers

## Class ModelToRepresentation

- java.lang.Object
- - org.keycloak.services.managers.ModelToRepresentation

-     public class ModelToRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelToRepresentation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RealmAuditRepresentation` | `toAuditReprensetation(RealmModel realm)`
    `static ClaimRepresentation` | `toRepresentation(ClientModel model)`
    `static RealmRepresentation` | `toRepresentation(RealmModel realm)`
    `static RoleRepresentation` | `toRepresentation(RoleModel role)`
    `static SocialLinkRepresentation` | `toRepresentation(SocialLinkModel socialLink)`
    `static CredentialRepresentation` | `toRepresentation(UserCredentialModel cred)`
    `static UserRepresentation` | `toRepresentation(UserModel user)`
    `static UserSessionRepresentation` | `toRepresentation(UserSessionModel session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelToRepresentation

          public ModelToRepresentation()

  - ### Method Detail

    - #### toRepresentation

          public static UserRepresentation toRepresentation(UserModel user)

    - #### toRepresentation

          public static RoleRepresentation toRepresentation(RoleModel role)

    - #### toRepresentation

          public static RealmRepresentation toRepresentation(RealmModel realm)

    - #### toAuditReprensetation

          public static RealmAuditRepresentation toAuditReprensetation(RealmModel realm)

    - #### toRepresentation

          public static CredentialRepresentation toRepresentation(UserCredentialModel cred)

    - #### toRepresentation

          public static ClaimRepresentation toRepresentation(ClientModel model)

    - #### toRepresentation

          public static SocialLinkRepresentation toRepresentation(SocialLinkModel socialLink)

    - #### toRepresentation

          public static UserSessionRepresentation toRepresentation(UserSessionModel session)

Copyright © 2014. All Rights Reserved.